Eclipse Rich Ajax Platform

## org.eclipse.swt.events
Interface MouseListener

All Known Implementing Classes:
  MouseAdapter

    public interface MouseListener

Classes which implement this interface provide methods that deal with the events that are generated as mouse buttons are pressed.

After creating an instance of a class that implements this interface it can be added to a control using the `addMouseListener` method and removed using the `removeMouseListener` method. When a mouse button is pressed or released, the appropriate method will be invoked.

Since:
  1.1
See Also:
  `MouseAdapter`, `MouseEvent`

Method Summary
`void` `mouseDoubleClick(MouseEvent e)` Sent when a mouse button is pressed twice within the (operating system specified) double click period.
`void` `mouseDown(MouseEvent e)` Sent when a mouse button is pressed.
`void` `mouseUp(MouseEvent e)` Sent when a mouse button is released.

Method Detail

### mouseDoubleClick

    void mouseDoubleClick(MouseEvent e)

  Sent when a mouse button is pressed twice within the (operating system specified) double click period.

  Parameters:
    `e` - an event containing information about the mouse double click
  See Also:
    `Display.getDoubleClickTime()`

### mouseDown

    void mouseDown(MouseEvent e)

  Sent when a mouse button is pressed.

  Parameters:
    `e` - an event containing information about the mouse button press

### mouseUp

    void mouseUp(MouseEvent e)

  Sent when a mouse button is released.

  Parameters:
    `e` - an event containing information about the mouse button release

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.